require 'simpledesktops/feed'

describe Simpledesktops::Feed do
  describe '#new' do
    context 'with a provided feed' do
      let(:feed_with_url) { described_class.new "http://feeds.feedburner.com/simpledesktops?xml" }
      its(:url) { should eq 'http://feeds.feedburner.com/simpledesktops?xml' }
    end

    context 'with a fallback feed' do
      let(:feed_with_fallback) { described_class.new }
      its(:url) { should eq 'http://feeds.feedburner.com/simpledesktops?xml' }
    end
  end

  describe '#list_wallpapers' do
    context 'fetches wallpapers' do
      let(:feed) { double('feed') }
      it { should respond_to(:wallpapers, :list_wallpapers) }

      it 'fetches the latest 5 wallpapers' do
        feed.stub_chain(:wallpapers, :size).and_return 5
        feed.wallpapers.size.should eq 5
      end
    end
  end
end

